package com.fzm.mall.server.admin.goods_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/12 13:49
 * @description 商品类别
 * @since JDK 1.8
 */
public enum SalesTypeEnum {

    ORDINARY(1),//普通
    BLIND_BOX(4);//盲盒

    private Integer type;

    SalesTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(SalesTypeEnum.values())
                .map(SalesTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
